glab(1)

NAME
glab-ci-run - Create or run a new CI/CD pipeline.

SYNOPSIS
glab ci run [flags]

DESCRIPTION
The --branch option is available for all pipeline types.

The options for variables are incompatible with merge request pipelines. If used with merge request pipelines, the command fails with a message like ERROR: if any flags in the group [output output-format] are set none of the others can be

OPTIONS
-b, --branch=""
    Create pipeline on branch/ref .

--mr[=false]
    Run merge request pipeline instead of branch pipeline.

--variables=[]
    Pass variables to pipeline in format :. Cannot be used for MR pipelines.

--variables-env=[]
    Pass variables to pipeline in format :. Cannot be used for MR pipelines.

--variables-file=[]
    Pass file contents as a file variable to pipeline in format :. Cannot be used for MR pipelines.

-f, --variables-from=""
    JSON file with variables for pipeline execution. Expects array of hashes, each with at least 'key' and 'value'. Cannot be used for MR pipelines.

-w, --web[=false]
    Open pipeline in a browser. Uses default browser, or browser specified in BROWSER environment variable.

OPTIONS INHERITED FROM PARENT COMMANDS
--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    $ glab ci run
    $ glab ci run --variables \"key1:value,with,comma\"
    $ glab ci run -b main
    $ glab ci run --web
    $ glab ci run -b main --variables-env key1:val1
    $ glab ci run -b main --variables-env key1:val1,key2:val2
    $ glab ci run -b main --variables-env key1:val1 --variables-env key2:val2
    $ glab ci run -b main --variables-file MYKEY:file1 --variables KEY2:some_value
    $ glab ci run --mr
    // For an example of 'glab ci run -f' with a variables file, see
    // [Run a CI/CD pipeline with variables from a file](https://docs.gitlab.com/editor_extensions/gitlab_cli/#run-a-cicd-pipeline-with-variables-from-a-file)
    // in the GitLab documentation.

SEE ALSO
glab-ci(1)